Bug 980537 - [abrt] libreoffice-core-3.6.6.2-9.fc18: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.6.6.2-9.fc18: Process /usr/lib64/libreoffice/progra...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:5862bd3b34bdcb61b9d4eeee86d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 12:07 EDT by Johnathon Cotner
Modified: 2014-01-09 05:50 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 05:50:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.49 KB, text/plain)
2013-07-02 12:07 EDT, Johnathon Cotner
no flags Details
File: cgroup (130 bytes, text/plain)
2013-07-02 12:08 EDT, Johnathon Cotner
no flags Details
File: core_backtrace (4.41 KB, text/plain)
2013-07-02 12:08 EDT, Johnathon Cotner
no flags Details
File: dso_list (26.47 KB, text/plain)
2013-07-02 12:08 EDT, Johnathon Cotner
no flags Details
File: environ (2.01 KB, text/plain)
2013-07-02 12:08 EDT, Johnathon Cotner
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-02 12:08 EDT, Johnathon Cotner
no flags Details
File: maps (119.51 KB, text/plain)
2013-07-02 12:08 EDT, Johnathon Cotner
no flags Details
File: open_fds (605 bytes, text/plain)
2013-07-02 12:08 EDT, Johnathon Cotner
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-07-02 12:08 EDT, Johnathon Cotner
no flags Details
File: var_log_messages (303 bytes, text/plain)
2013-07-02 12:08 EDT, Johnathon Cotner
no flags Details

  None (edit)
Description Johnathon Cotner 2013-07-02 12:07:50 EDT
Description of problem:
editing links in html docuemnts. cursor was inside an up/down box in writer's tool window(master document), clicked inside document view to edit another hyperlink and crash. The whole tool pannel i noticed was redrawing it's self to the blink of the cursor. This could have set up the conditions in the ui code to cause the segfault.

Version-Release number of selected component:
libreoffice-core-3.6.6.2-9.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 3
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=6
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors:
Comment 1 Johnathon Cotner 2013-07-02 12:07:56 EDT
Created attachment 767825 [details]
File: backtrace
Comment 2 Johnathon Cotner 2013-07-02 12:08:00 EDT
Created attachment 767826 [details]
File: cgroup
Comment 3 Johnathon Cotner 2013-07-02 12:08:06 EDT
Created attachment 767827 [details]
File: core_backtrace
Comment 4 Johnathon Cotner 2013-07-02 12:08:11 EDT
Created attachment 767828 [details]
File: dso_list
Comment 5 Johnathon Cotner 2013-07-02 12:08:14 EDT
Created attachment 767829 [details]
File: environ
Comment 6 Johnathon Cotner 2013-07-02 12:08:19 EDT
Created attachment 767830 [details]
File: limits
Comment 7 Johnathon Cotner 2013-07-02 12:08:23 EDT
Created attachment 767831 [details]
File: maps
Comment 8 Johnathon Cotner 2013-07-02 12:08:26 EDT
Created attachment 767832 [details]
File: open_fds
Comment 9 Johnathon Cotner 2013-07-02 12:08:31 EDT
Created attachment 767833 [details]
File: proc_pid_status
Comment 10 Johnathon Cotner 2013-07-02 12:08:35 EDT
Created attachment 767834 [details]
File: var_log_messages
Comment 11 David Tardon 2013-07-11 04:23:42 EDT
Is the crash reproducible?
Comment 12 Johnathon Cotner 2013-07-11 09:43:32 EDT
(In reply to David Tardon from comment #11)
> Is the crash reproducible?

yes. Though it seems only after a substantial amount of time of editing html. Visually, it seems that the tool panel is repainting it's self to the cursor's blink, I have not been in the position to watch it's memory usage.
Comment 13 Fedora End Of Life 2013-12-21 09:13:39 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.